Complexity:
Description

Actually I use TYPO3 4.7 with DAM because of the need of the feature, a button to replace a file (new file upload, gets renamed to old
filename on the server). Neither TYPO3 6.2 has this feature yet, nor the media extension.

Related issues:
related to Core - Task # 56147: Regenerate missing RTE magic image on rendering Needs Feedback2014-02-20
related to Core - Feature # 48644: Easy way to replaceReferences Accepted 2013-05-29
related to Core - Feature # 66514: Better UI to move multiple files or folders New 2015-04-21
related to Core - Bug # 68260: FOLLOW-UP Replace file feature for fal file list Resolved 2015-07-16
duplicated by Core - Feature # 67732: Add a "replace file" button when editin... Closed 2015-06-24
duplicated by Core - Bug # 66873: Add a "replace file" button when editing a ... Closed 2015-05-10

Associated revisions
Revision 01663c47 - 2015-07-15 00:05 - Sven Hartmann

[!!!][FEATURE] Replace file feature for FAL file list
Provides a new button "replace" at the extended view in FAL equal to
DAM. Its possible to replace a file
    -  with a new one -> old file will be overwritten; identifier of the file

object will be kept
    -  with a new one -> old file will be deleted; identifier of the file

object will be changed to the new filename

The file replacing also respects unique filenames.

To allow editors to replace files the need the "Files: Replace" 
permissing needs to be set.

Change-Id: If5882ef620135d4e7238eb8bb56f020304cd1c0c
Resolves: #56133
Releases: master
Reviewed-on: http://review.typo3.org/40797
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>
This is also because if the file is replaced, the references to the file don’t have to be updated manually one by one, they are just right.

#2 - 2014-02-23 09:08 - Frans Saris
- Status changed from New to Needs Feedback

You can do this already by uploading a new file with the same name and choose "override existing file". Is not that enough?

#3 - 2014-02-23 10:37 - Bernhard Eckl

Yes, but the problem is that the filename on the client is different (e.g. there is a version number in the filename). But the filename on the internet
should be clean (good name without versions, person names etc.). If the editors first have to rename the file before uploading, they will make
mistakes.

#4 - 2014-07-10 14:38 - Alexander Opitz
- Category changed from Backend User Interface to File Abstraction Layer (FAL)
- Status changed from Needs Feedback to New
- Priority changed from Should have to Could have

#5 - 2014-11-19 17:27 - Frank Gerards

+1 for this feature , at least inside the media-extension

#6 - 2015-02-02 11:58 - Stephan Brun

+1 for this feature , at least inside the media-extension, as Frank said

#7 - 2015-03-30 11:37 - Sebastian Helzle

+1 for this feature, would be really helpful in our projects

#8 - 2015-04-21 10:45 - Tobias Schmidt

+1 for this feature

#9 - 2015-04-21 16:56 - Tobias Schaefer
- File media_extension_replace_file.jpg added

The media-extension is coming with the replace file-feature now (see screenshot). The replace file-button is shown in the edit-view.

#10 - 2015-05-10 20:57 - Ephraim Härer

+1 for this feature, please merge into core
#11 - 2015-05-20 12:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39629

#12 - 2015-06-17 10:53 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39629

#13 - 2015-06-22 16:32 - Ephraim Härer

It's not exactly what I wanted but it looks good and works for me on my 6.2.12 and 6.2.13 installation.

#14 - 2015-06-24 15:33 - Bernhard Eckl

I just tested the patch. It works, but the filename is changed to the new file. The filename should not be changed (this is one reason why I need this
feature, filenames should always be the same).

#15 - 2015-06-24 15:59 - Markus Klein

Please add your comments for the patch directly in Gerrit, otherwise they might not be seen by the reviewers!

use the links above and log in with your TYPO3 account. the Reply button on the top allows you to comment and vote (-1 then in your case).

#16 - 2015-06-24 16:59 - Ephraim Härer

This comments you will find also in Gerrit ;-)

#17 - 2015-07-01 14:32 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#18 - 2015-07-01 14:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#19 - 2015-07-02 09:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797
#20 - 2015-07-02 13:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#21 - 2015-07-03 11:41 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#22 - 2015-07-03 11:51 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#23 - 2015-07-06 08:41 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#24 - 2015-07-14 22:31 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#25 - 2015-07-14 22:44 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40797

#26 - 2015-07-15 00:08 - Sven Hartmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:01663c47e17afdc49eaee757a7cdf6614d89cb04.

Files
